<div class='input-page-path'>
  <div class='page-slug fs-7'>
    {{#if @floatLabel}}
      <div class='form-floating'>
        <Input @value={{this.path}} id='{{this.elementId}}-path' @type='text' class='form-control page-path input-path' />
        <label for='{{this.elementId}}-path'>{{capitalize (t 'path')}}</label>
      </div>
    {{else}}
      <Input @value={{this.path}} id='{{this.elementId}}-path' @type='text' class='form-control page-path input-path' />
    {{/if}}

    <strong>{{t 'slug'}}:</strong>
    <span class='slug-value {{if this.hasInvalidSlug "text-danger"}}'>{{this.slug}}</span>
    {{#if this.hasInvalidSlug}}
      <button class='btn-fix-slug btn btn-link btn-sm py-0 fs-7 align-baseline' type="button" {{on 'click' this.fixSlug}}>
        {{t 'fix'}}
      </button>
    {{/if}}
  </div>

  {{#if this.invalidVariables}}
    <div class='variable-error fs-7'>
      <strong>{{t 'invalid vars'}}:</strong>
      {{#each this.invalidVariables as |name|}}
        <code>{{name}}</code>
      {{/each}}
    </div>
  {{/if}}

  {{#if (gt this.validVariables.length 1)}}
    <div class='variable-error fs-7 text-danger'>
      {{t 'only one variable is allowed in the path'}}
    </div>
  {{/if}}
</div>